import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { TokenCoinGeckoData } from "./token-coin-gecko-data.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class TokenCoinGeckoDataService extends TypeOrmCrudService<TokenCoinGeckoData> {
    readonly repo: Repository<TokenCoinGeckoData>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<TokenCoinGeckoData>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCoinGeckoData>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCoinGeckoData[]>;
    createOneBy(params: DeepPartial<TokenCoinGeckoData>, manager?: EntityManager): Promise<TokenCoinGeckoData>;
    createAllBy(params: DeepPartial<TokenCoinGeckoData>[], manager?: EntityManager): Promise<TokenCoinGeckoData[]>;
    createAllIfNotExistBy(params: DeepPartial<TokenCoinGeckoData>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: {
        [K in keyof TokenCoinGeckoData]?: any | FindOperator<TokenCoinGeckoData[K]>;
    }, set: {
        [K in keyof TokenCoinGeckoData]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
